Subject: RE: [Ltru] Re: Proposed changes to region subtags

From: "Addison Phillips" <[email-masked]>
Date: Wed, 6 Apr 2005 09:35:57 -0700

> The annoyance is then that you need to use two of them to represent a
> non-BMP character, which artificially imports UTF-16 rules into the
> stream of characters.

I'm sufficiently familiar with Unicode to avoid this. The text I wrote was specifically chosen to mean Unicode Scalar Value. It is in "Java-style" visually only: the escapes would be "/u1234" or "/u23456" or "/u10FFFD", but not "/u123". All of which is moot: see below.

> I don't understand any of this.  Why does the existing format escape
> semicolons?  They aren't used as record-jar delimiters.  Furthermore,
> XML character references don't require escaped semicolons, because
> they are magic only inside a character (or entity) reference.

Semi-colons are mentioned in the text to separate multiple values in a field. We could allow repeated fields, although Description strikes me as a problem. Are you SURE you don't want an XML format? :-)

I don't care if we use XML style NCRs instead of the escape format I picked out (more or less at random) and will modify the text appropriately to use the NCR style instead.

Addison

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of John Cowan
> Sent: mardi 5 avril 2005 21:55
> To: Doug Ewell
> Cc: [email-masked]
> Subject: Re: [Ltru] Re: Proposed changes to region subtags
> 
> Doug Ewell scripsit:
> 
> > We could reverse the slash to a backslash, Java-style.  That way we
> > would only need to escape the backslash (which we do anyway, if we use
> > it for continuation) and not the forward slash (though at present there
> > are no forward slashes to be escaped).
> 
> The annoyance is then that you need to use two of them to represent a
> non-BMP character, which artificially imports UTF-16 rules into the
> stream of characters.
> 
> > Using XML references would require the ampersand to be escaped (there
> > aren't any of those in the registry either), and poses an interesting
> > problem with the semicolon, which is already escaped because of its role
> > in separating lists (e.g. of recommended prefixes).  The registry has
> > several descriptions of the form "Occitan (post 1500); Provencal" where
> > the semicolon, inherited from the ISO 639 description, needs to be
> > escaped.  If the 'c' in "Provencal" were a c-with-cedilla (ç), which I
> > think it's supposed to be anyway, then that would translated to the XML
> > reference &#x00E7; and I think you'd have to re-escape the trailing
> > semicolon.
> 
> I don't understand any of this.  Why does the existing format escape
> semicolons?  They aren't used as record-jar delimiters.  Furthermore,
> XML character references don't require escaped semicolons, because
> they are magic only inside a character (or entity) reference.
> 
> --
> John Cowan  [email-masked]  www.reutershealth.com
> www.ccil.org/~cowan
> I come from under the hill, and under the hills and over the hills my
> paths
> led. And through the air. I am he that walks unseen.  I am the clue-finder,
> the web-cutter, the stinging fly. I was chosen for the lucky number.  --
> Bilbo
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: John Cowan <[email-masked]>
Date: Wed, 6 Apr 2005 13:30:09 -0400

Addison Phillips scripsit:

> I'm sufficiently familiar with Unicode to avoid this. The text I
> wrote was specifically chosen to mean Unicode Scalar Value. It is in
> "Java-style" visually only: the escapes would be "/u1234" or "/u23456"
> or "/u10FFFD", but not "/u123". All of which is moot: see below.

Ah, but in that case /u10FFFD could mean /u10FF followed by F followed by D.
Non-delimited formats have to be fixed length (as Java's is).

> Semi-colons are mentioned in the text to separate multiple values in
> a field.

Which is just what they are doing in the language entries.  So why escape
them there?

> I don't care if we use XML style NCRs instead of the escape format
> I picked out (more or less at random) and will modify the text
> appropriately to use the NCR style instead.

Good.  It's variable length and delimited.

-- 
John Cowan  [email-masked]  www.reutershealth.com  ccil.org/~cowan
Dievas dave dantis; Dievas duos duonos          --Lithuanian proverb
Deus dedit dentes; deus dabit panem             --Latin version thereof
Deity donated dentition;
  deity'll donate doughnuts                     --English version by Muke Tever
God gave gums; God'll give granary              --Version by Mat McVeagh